.world {
  perspective: 100px;
  .section {
    transition: 1s;
    transition-timing-function: ease-in-out;
    position: absolute;
    overflow: hidden;
    &--home {
      z-index: 5;
      transform: translate3d(0, 0, 0px);
    }
    &--gauche {
      transform: translate3d(-100vw, 0, 0);
    }
    &--droite {
      transform: translate3d(100vw, 0, 0);
    }
    &--avant {
      transform: translate3d(0, 0, -300px);
      opacity: 0;
    }
  }
  &--avant {
    .section {
      &--home {
        transform: translate3d(0, 0, 100px);
      }
      &--gauche {
        transform: translate3d(-100vw, 0, 100px);
      }
      &--droite {
        transform: translate3d(100vw, 0, 100px);
      }
      &--avant {
        transform: translate3d(0, 0, 0px);
        opacity: 1;
      }
    }
  }
  &--gauche {
    .section {
      &--home {
        transform: translate3d(100vw, 0, 0);
      }
      &--gauche {
        transform: translate3d(0, 0vw, 0);
      }
      &--droite {
        transform: translate3d(200vw, 0vw, 0);
      }
      &--avant {
        transform: translate3d(100vw, 0, -300px);
        opacity: 0;
      }
    }
  }
  &--droite {
    .section {
      &--home {
        transform: translate3d(-100vw, 0, 0);
      }
      &--droite {
        transform: translate3d(0, 0, 0);
      }

      &--gauche {
        transform: translate3d(-200vw, 0vw, 0);
      }
      &--avant {
        transform: translate3d(-100vw, 0, -300px);
        opacity: 0;
      }
    }
  }
}
